svn commit: r555463 - head/Mk/Scripts
Mathieu Arnold
mat at FreeBSD.org
Mon Nov 16 10:50:54 UTC 2020
Author: mat
Date: Mon Nov 16 10:50:54 2020
New Revision: 555463
URL: https://svnweb.freebsd.org/changeset/ports/555463
Log:
Ignore readelf's return value.
PR: 251110 (with style fixes)
Submitted by: John Hein
Modified:
head/Mk/Scripts/qa.sh (contents, props changed)
Modified: head/Mk/Scripts/qa.sh
==============================================================================
--- head/Mk/Scripts/qa.sh Mon Nov 16 10:35:59 2020 (r555462)
+++ head/Mk/Scripts/qa.sh Mon Nov 16 10:50:54 2020 (r555463)
@@ -211,7 +211,7 @@ stripped() {
# files with spaces are kept intact.
# Using readelf -h ... /ELF Header:/ will match on all ELF files.
find ${STAGEDIR} -type f ! -name '*.a' ! -name '*.o' \
- -exec readelf -S {} + 2>/dev/null | awk '
+ -exec sh -c 'readelf -S -- /dev/null "$@" || :' -- {} + 2>/dev/null | awk '
/File:/ {sub(/File: /, "", $0); file=$0}
/[[:space:]]\.debug_info[[:space:]]*PROGBITS/ {print file}' |
while read -r f; do
More information about the svn-ports-head
mailing list